<?xml version="1.0" encoding="utf-8"?>
<linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.xbrl.org/2003/linkbase">
  <roleRef roleURI="http://www.xbrl.org/2009/role/negatedLabel" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedLabel" xlink:type="simple" xmlns:xlink="http://www.w3.org/1999/xlink" />
  <labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_AdjustmentsForAmortisationExpense" xlink:label="ifrs-full_AdjustmentsForAmortisationExpense" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:label="ifrs-full_IncomeTaxExpenseContinuingOperations" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ProfitLossBeforeTax" xlink:label="ifrs-full_ProfitLossBeforeTax" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_AdjustmentsForFinanceCosts" xlink:label="ifrs-full_AdjustmentsForFinanceCosts" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_Revenue" xlink:label="ifrs-full_Revenue" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInOperatingActivities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_StatementOfFinancialPositionAbstract" xlink:label="ifrs-full_StatementOfFinancialPositionAbstract" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_AdjustmentsForProvisions" xlink:label="ifrs-full_AdjustmentsForProvisions" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_AdjustmentsForFinanceIncome" xlink:label="ifrs-full_AdjustmentsForFinanceIncome" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ProceedsFromIssuingShares" xlink:label="ifrs-full_ProceedsFromIssuingShares" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_InvestmentAccountedForUsingEquityMethod" xlink:label="ifrs-full_InvestmentAccountedForUsingEquityMethod" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CashFlowsFromUsedInOperations" xlink:label="ifrs-full_CashFlowsFromUsedInOperations" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ReclassificationAdjustmentsOnCashFlowHedgesBeforeTax" xlink:label="ifrs-full_ReclassificationAdjustmentsOnCashFlowHedgesBeforeTax" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod" xlink:label="ifrs-full_ShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_AdjustmentsForIncomeTaxExpense" xlink:label="ifrs-full_AdjustmentsForIncomeTaxExpense" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_DilutedEarningsLossPerShare" xlink:label="ifrs-full_DilutedEarningsLossPerShare" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_OtherComprehensiveIncome" xlink:label="ifrs-full_OtherComprehensiveIncome" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CurrentLiabilities" xlink:label="ifrs-full_CurrentLiabilities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInFinancingActivities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_EquityAttributableToOwnersOfParent" xlink:label="ifrs-full_EquityAttributableToOwnersOfParent" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInInventories" xlink:label="ifrs-full_AdjustmentsForDecreaseIncreaseInInventories" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_NoncurrentLeaseLiabilities" xlink:label="ifrs-full_NoncurrentLeaseLiabilities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_TradeAndOtherCurrentPayables" xlink:label="ifrs-full_TradeAndOtherCurrentPayables" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_IssueOfEquity" xlink:label="ifrs-full_IssueOfEquity" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_Liabilities" xlink:label="ifrs-full_Liabilities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossPropertyPlantAndEquipment" xlink:label="ifrs-full_AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossPropertyPlantAndEquipment" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_FinanceIncomeCost" xlink:label="ifrs-full_FinanceIncomeCost" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_IncreaseDecreaseThroughSharebasedPaymentTransactions" xlink:label="ifrs-full_IncreaseDecreaseThroughSharebasedPaymentTransactions" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ProceedsFromSalesOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:label="ifrs-full_ProceedsFromSalesOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_BasicEarningsLossPerShare" xlink:label="ifrs-full_BasicEarningsLossPerShare" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_AdjustmentsForSharebasedPayments" xlink:label="ifrs-full_AdjustmentsForSharebasedPayments" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_EffectOfExchangeRateChangesOnCashAndCashEquivalents" xlink:label="ifrs-full_EffectOfExchangeRateChangesOnCashAndCashEquivalents" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ProceedsFromSalesOfInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethod" xlink:label="ifrs-full_ProceedsFromSalesOfInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethod" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_DividendsReceivedFromAssociatesClassifiedAsInvestingActivities" xlink:label="ifrs-full_DividendsReceivedFromAssociatesClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CurrentPortionOfLongtermBorrowings" xlink:label="ifrs-full_CurrentPortionOfLongtermBorrowings" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CurrentLeaseLiabilities" xlink:label="ifrs-full_CurrentLeaseLiabilities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_Equity" xlink:label="ifrs-full_Equity" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_StatementOfComprehensiveIncomeAbstract" xlink:label="ifrs-full_StatementOfComprehensiveIncomeAbstract" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_LongtermBorrowings" xlink:label="ifrs-full_LongtermBorrowings" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_IncreaseDecreaseThroughTransfersAndOtherChangesEquity" xlink:label="ifrs-full_IncreaseDecreaseThroughTransfersAndOtherChangesEquity" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_InterestPaidClassifiedAsOperatingActivities" xlink:label="ifrs-full_InterestPaidClassifiedAsOperatingActivities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_AdjustmentsForLossesGainsOnDisposalOfNoncurrentAssets" xlink:label="ifrs-full_AdjustmentsForLossesGainsOnDisposalOfNoncurrentAssets" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_IntangibleAssetsAndGoodwill" xlink:label="ifrs-full_IntangibleAssetsAndGoodwill" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_IssuedCapital" xlink:label="ifrs-full_IssuedCapital" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ReserveOfCashFlowHedges" xlink:label="ifrs-full_ReserveOfCashFlowHedges" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ReserveOfExchangeDifferencesOnTranslation" xlink:label="ifrs-full_ReserveOfExchangeDifferencesOnTranslation" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables" xlink:label="ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_DeferredTaxAssets" xlink:label="ifrs-full_DeferredTaxAssets" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:label="ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ReclassificationAdjustmentsOnHedgesOfNetInvestmentsInForeignOperationsBeforeTax" xlink:label="ifrs-full_ReclassificationAdjustmentsOnHedgesOfNetInvestmentsInForeignOperationsBeforeTax" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_AdjustmentsForUndistributedProfitsOfInvestmentsAccountedForUsingEquityMethod" xlink:label="ifrs-full_AdjustmentsForUndistributedProfitsOfInvestmentsAccountedForUsingEquityMethod" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_PaymentsToAcquireOrRedeemEntitysShares" xlink:label="ifrs-full_PaymentsToAcquireOrRedeemEntitysShares" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_GainsLossesOnExchangeDifferencesOnTranslationBeforeTax" xlink:label="ifrs-full_GainsLossesOnExchangeDifferencesOnTranslationBeforeTax" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_StatementOfCashFlowsAbstract" xlink:label="ifrs-full_StatementOfCashFlowsAbstract" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_StatementOfChangesInEquityAbstract" xlink:label="ifrs-full_StatementOfChangesInEquityAbstract" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_FinanceCosts" xlink:label="ifrs-full_FinanceCosts" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" xlink:label="ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax" xlink:label="ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_NoncurrentRecognisedLiabilitiesDefinedBenefitPlan" xlink:label="ifrs-full_NoncurrentRecognisedLiabilitiesDefinedBenefitPlan" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_IncomeStatementAbstract" xlink:label="ifrs-full_IncomeStatementAbstract" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_AdjustmentsForGainLossOnDisposalOfInvestmentsInSubsidiariesJointVenturesAndAssociates" xlink:label="ifrs-full_AdjustmentsForGainLossOnDisposalOfInvestmentsInSubsidiariesJointVenturesAndAssociates" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInOtherCurrentAssets" xlink:label="ifrs-full_AdjustmentsForDecreaseIncreaseInOtherCurrentAssets" />
    <loc xlink:type="locator" xlink:href="cost-2021-12-31.xsd#COST_LossFromOperations" xlink:label="COST_LossFromOperations" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_InterestReceivedClassifiedAsInvestingActivities" xlink:label="ifrs-full_InterestReceivedClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_GainsLossesOnCashFlowHedgesBeforeTax" xlink:label="ifrs-full_GainsLossesOnCashFlowHedgesBeforeTax" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_PurchaseOfTreasuryShares" xlink:label="ifrs-full_PurchaseOfTreasuryShares" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_OtherComprehensiveIncomeBeforeTaxHedgesOfNetInvestmentsInForeignOperations" xlink:label="ifrs-full_OtherComprehensiveIncomeBeforeTaxHedgesOfNetInvestmentsInForeignOperations" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_AdjustmentsForIncreaseDecreaseInEmployeeBenefitLiabilities" xlink:label="ifrs-full_AdjustmentsForIncreaseDecreaseInEmployeeBenefitLiabilities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_NetAssetsLiabilities" xlink:label="ifrs-full_NetAssetsLiabilities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ComprehensiveIncome" xlink:label="ifrs-full_ComprehensiveIncome" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CashAndCashEquivalents" xlink:label="ifrs-full_CashAndCashEquivalents" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ProceedsFromSalesOfInvestmentsAccountedForUsingEquityMethod" xlink:label="ifrs-full_ProceedsFromSalesOfInvestmentsAccountedForUsingEquityMethod" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_NoncurrentPayables" xlink:label="ifrs-full_NoncurrentPayables" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_GrossProfit" xlink:label="ifrs-full_GrossProfit" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:label="ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ReclassificationAdjustmentsOnExchangeDifferencesOnTranslationBeforeTax" xlink:label="ifrs-full_ReclassificationAdjustmentsOnExchangeDifferencesOnTranslationBeforeTax" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax" xlink:label="ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:label="ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CurrentTaxAssetsCurrent" xlink:label="ifrs-full_CurrentTaxAssetsCurrent" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CurrentProvisions" xlink:label="ifrs-full_CurrentProvisions" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ProfitLossFromOperatingActivities" xlink:label="ifrs-full_ProfitLossFromOperatingActivities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_RecognisedAssetsDefinedBenefitPlan" xlink:label="ifrs-full_RecognisedAssetsDefinedBenefitPlan" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_NoncurrentReceivables" xlink:label="ifrs-full_NoncurrentReceivables" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" xlink:label="ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:label="ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_IncomeTaxRelatingToRemeasurementsOfDefinedBenefitPlansOfOtherComprehensiveIncome" xlink:label="ifrs-full_IncomeTaxRelatingToRemeasurementsOfDefinedBenefitPlansOfOtherComprehensiveIncome" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_TradeAndOtherCurrentReceivables" xlink:label="ifrs-full_TradeAndOtherCurrentReceivables" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ProfitLoss" xlink:label="ifrs-full_ProfitLoss" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_NoncurrentLiabilities" xlink:label="ifrs-full_NoncurrentLiabilities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInInvestingActivities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:label="ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities" xlink:label="ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:label="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities" xlink:label="ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_AdjustmentsForDepreciationExpense" xlink:label="ifrs-full_AdjustmentsForDepreciationExpense" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_IncomeStatementAbstract" xlink:to="label_IncomeStatementAbstract" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_Revenue" xlink:to="label_COST_ifrs-fullRevenue_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_GrossProfit" xlink:to="label_COST_ifrs-fullGrossProfit_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_ProfitLossFromOperatingActivities" xlink:to="label_COST_ifrs-fullProfitLossFromOperatingActivities_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_ShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod" xlink:to="label_COST_ifrs-fullShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="COST_LossFromOperations" xlink:to="label_COST_costLossFromOperations_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_FinanceCosts" xlink:to="label_COST_ifrs-fullFinanceCosts_NegatedLabel" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_FinanceIncomeCost" xlink:to="label_COST_ifrs-fullFinanceIncomeCost_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_ProfitLossBeforeTax" xlink:to="label_COST_ifrs-fullProfitLossBeforeTax_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:to="label_COST_ifrs-fullIncomeTaxExpenseContinuingOperations_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_ProfitLoss" xlink:to="label_COST_ifrs-fullProfitLoss_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_BasicEarningsLossPerShare" xlink:to="label_COST_ifrs-fullBasicEarningsLossPerShare_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_DilutedEarningsLossPerShare" xlink:to="label_COST_ifrs-fullDilutedEarningsLossPerShare_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_StatementOfComprehensiveIncomeAbstract" xlink:to="label_StatementOfComprehensiveIncomeAbstract" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_GainsLossesOnExchangeDifferencesOnTranslationBeforeTax" xlink:to="label_COST_ifrs-fullGainsLossesOnExchangeDifferencesOnTranslationBeforeTax_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_ReclassificationAdjustmentsOnExchangeDifferencesOnTranslationBeforeTax" xlink:to="label_COST_ifrs-fullReclassificationAdjustmentsOnExchangeDifferencesOnTranslationBeforeTax_NegatedLabel" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_OtherComprehensiveIncomeBeforeTaxHedgesOfNetInvestmentsInForeignOperations" xlink:to="label_COST_ifrs-fullOtherComprehensiveIncomeBeforeTaxHedgesOfNetInvestmentsInForeignOperations_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_ReclassificationAdjustmentsOnHedgesOfNetInvestmentsInForeignOperationsBeforeTax" xlink:to="label_COST_ifrs-fullReclassificationAdjustmentsOnHedgesOfNetInvestmentsInForeignOperationsBeforeTax_NegatedLabel" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_GainsLossesOnCashFlowHedgesBeforeTax" xlink:to="label_COST_ifrs-fullGainsLossesOnCashFlowHedgesBeforeTax_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_ReclassificationAdjustmentsOnCashFlowHedgesBeforeTax" xlink:to="label_COST_ifrs-fullReclassificationAdjustmentsOnCashFlowHedgesBeforeTax_NegatedLabel" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_OtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax" xlink:to="label_COST_ifrs-fullOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_OtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans" xlink:to="label_COST_ifrs-fullOtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_IncomeTaxRelatingToRemeasurementsOfDefinedBenefitPlansOfOtherComprehensiveIncome" xlink:to="label_COST_ifrs-fullIncomeTaxRelatingToRemeasurementsOfDefinedBenefitPlansOfOtherComprehensiveIncome_NegatedLabel" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_OtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax" xlink:to="label_COST_ifrs-fullOtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_OtherComprehensiveIncome" xlink:to="label_COST_ifrs-fullOtherComprehensiveIncome_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_ComprehensiveIncome" xlink:to="label_COST_ifrs-fullComprehensiveIncome_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_StatementOfFinancialPositionAbstract" xlink:to="label_StatementOfFinancialPositionAbstract" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_IntangibleAssetsAndGoodwill" xlink:to="label_COST_ifrs-fullIntangibleAssetsAndGoodwill_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_InvestmentAccountedForUsingEquityMethod" xlink:to="label_COST_ifrs-fullInvestmentAccountedForUsingEquityMethod_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_RecognisedAssetsDefinedBenefitPlan" xlink:to="label_COST_ifrs-fullRecognisedAssetsDefinedBenefitPlan_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_NoncurrentReceivables" xlink:to="label_COST_ifrs-fullNoncurrentReceivables_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_DeferredTaxAssets" xlink:to="label_COST_ifrs-fullDeferredTaxAssets_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_TradeAndOtherCurrentReceivables" xlink:to="label_COST_ifrs-fullTradeAndOtherCurrentReceivables_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CurrentTaxAssetsCurrent" xlink:to="label_COST_ifrs-fullCurrentTaxAssetsCurrent_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_NoncurrentRecognisedLiabilitiesDefinedBenefitPlan" xlink:to="label_COST_ifrs-fullNoncurrentRecognisedLiabilitiesDefinedBenefitPlan_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_NoncurrentPayables" xlink:to="label_COST_ifrs-fullNoncurrentPayables_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_LongtermBorrowings" xlink:to="label_COST_ifrs-fullLongtermBorrowings_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_NoncurrentLeaseLiabilities" xlink:to="label_COST_ifrs-fullNoncurrentLeaseLiabilities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_NoncurrentLiabilities" xlink:to="label_COST_ifrs-fullNoncurrentLiabilities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_TradeAndOtherCurrentPayables" xlink:to="label_COST_ifrs-fullTradeAndOtherCurrentPayables_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CurrentPortionOfLongtermBorrowings" xlink:to="label_COST_ifrs-fullCurrentPortionOfLongtermBorrowings_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CurrentLeaseLiabilities" xlink:to="label_COST_ifrs-fullCurrentLeaseLiabilities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CurrentProvisions" xlink:to="label_COST_ifrs-fullCurrentProvisions_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CurrentLiabilities" xlink:to="label_COST_ifrs-fullCurrentLiabilities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_Liabilities" xlink:to="label_COST_ifrs-fullLiabilities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_NetAssetsLiabilities" xlink:to="label_COST_ifrs-fullNetAssetsLiabilities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_IssuedCapital" xlink:to="label_COST_ifrs-fullIssuedCapital_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_ReserveOfExchangeDifferencesOnTranslation" xlink:to="label_COST_ifrs-fullReserveOfExchangeDifferencesOnTranslation_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_ReserveOfCashFlowHedges" xlink:to="label_COST_ifrs-fullReserveOfCashFlowHedges_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_EquityAttributableToOwnersOfParent" xlink:to="label_COST_ifrs-fullEquityAttributableToOwnersOfParent_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_StatementOfChangesInEquityAbstract" xlink:to="label_StatementOfChangesInEquityAbstract" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_Equity" xlink:to="label_COST_ifrs-fullEquity_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_ProfitLoss" xlink:to="label_COST_ifrs-fullProfitLoss_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_PurchaseOfTreasuryShares" xlink:to="label_COST_ifrs-fullPurchaseOfTreasuryShares_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_IncreaseDecreaseThroughSharebasedPaymentTransactions" xlink:to="label_COST_ifrs-fullIncreaseDecreaseThroughSharebasedPaymentTransactions_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_IssueOfEquity" xlink:to="label_COST_ifrs-fullIssueOfEquity_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_IncreaseDecreaseThroughTransfersAndOtherChangesEquity" xlink:to="label_COST_ifrs-fullIncreaseDecreaseThroughTransfersAndOtherChangesEquity_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_Equity" xlink:to="label_COST_ifrs-fullEquity_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_StatementOfCashFlowsAbstract" xlink:to="label_StatementOfCashFlowsAbstract" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_AdjustmentsForUndistributedProfitsOfInvestmentsAccountedForUsingEquityMethod" xlink:to="label_COST_ifrs-fullAdjustmentsForUndistributedProfitsOfInvestmentsAccountedForUsingEquityMethod_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_AdjustmentsForFinanceIncome" xlink:to="label_COST_ifrs-fullAdjustmentsForFinanceIncome_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_AdjustmentsForFinanceCosts" xlink:to="label_COST_ifrs-fullAdjustmentsForFinanceCosts_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_AdjustmentsForIncomeTaxExpense" xlink:to="label_COST_ifrs-fullAdjustmentsForIncomeTaxExpense_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossPropertyPlantAndEquipment" xlink:to="label_COST_ifrs-fullAdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossPropertyPlantAndEquipment_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_AdjustmentsForDecreaseIncreaseInOtherCurrentAssets" xlink:to="label_COST_ifrs-fullAdjustmentsForDecreaseIncreaseInOtherCurrentAssets_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_AdjustmentsForLossesGainsOnDisposalOfNoncurrentAssets" xlink:to="label_COST_ifrs-fullAdjustmentsForLossesGainsOnDisposalOfNoncurrentAssets_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_AdjustmentsForGainLossOnDisposalOfInvestmentsInSubsidiariesJointVenturesAndAssociates" xlink:to="label_COST_ifrs-fullAdjustmentsForGainLossOnDisposalOfInvestmentsInSubsidiariesJointVenturesAndAssociates_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_AdjustmentsForIncreaseDecreaseInEmployeeBenefitLiabilities" xlink:to="label_COST_ifrs-fullAdjustmentsForIncreaseDecreaseInEmployeeBenefitLiabilities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_AdjustmentsForDepreciationExpense" xlink:to="label_COST_ifrs-fullAdjustmentsForDepreciationExpense_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_AdjustmentsForAmortisationExpense" xlink:to="label_COST_ifrs-fullAdjustmentsForAmortisationExpense_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_PaymentsToAcquireOrRedeemEntitysShares" xlink:to="label_COST_ifrs-fullPaymentsToAcquireOrRedeemEntitysShares_NegatedLabel" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_AdjustmentsForSharebasedPayments" xlink:to="label_COST_ifrs-fullAdjustmentsForSharebasedPayments_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="label_COST_ifrs-fullCashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_AdjustmentsForDecreaseIncreaseInInventories" xlink:to="label_COST_ifrs-fullAdjustmentsForDecreaseIncreaseInInventories_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables" xlink:to="label_COST_ifrs-fullAdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" xlink:to="label_COST_ifrs-fullAdjustmentsForIncreaseDecreaseInTradeAndOtherPayables_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_AdjustmentsForProvisions" xlink:to="label_COST_ifrs-fullAdjustmentsForProvisions_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInOperations" xlink:to="label_COST_ifrs-fullCashFlowsFromUsedInOperations_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_InterestReceivedClassifiedAsInvestingActivities" xlink:to="label_COST_ifrs-fullInterestReceivedClassifiedAsInvestingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_InterestPaidClassifiedAsOperatingActivities" xlink:to="label_COST_ifrs-fullInterestPaidClassifiedAsOperatingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:to="label_COST_ifrs-fullIncomeTaxesPaidRefundClassifiedAsOperatingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="label_COST_ifrs-fullCashFlowsFromUsedInOperatingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_DividendsReceivedFromAssociatesClassifiedAsInvestingActivities" xlink:to="label_COST_ifrs-fullDividendsReceivedFromAssociatesClassifiedAsInvestingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:to="label_COST_ifrs-fullPurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities" xlink:to="label_COST_ifrs-fullPurchaseOfIntangibleAssetsClassifiedAsInvestingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_ProceedsFromSalesOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:to="label_COST_ifrs-fullProceedsFromSalesOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities_Short" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_ProceedsFromSalesOfInvestmentsAccountedForUsingEquityMethod" xlink:to="label_COST_ifrs-fullProceedsFromSalesOfInvestmentsAccountedForUsingEquityMethod_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_ProceedsFromSalesOfInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethod" xlink:to="label_COST_ifrs-fullProceedsFromSalesOfInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethod_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="label_COST_ifrs-fullCashFlowsFromUsedInInvestingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_ProceedsFromIssuingShares" xlink:to="label_COST_ifrs-fullProceedsFromIssuingShares_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:to="label_COST_ifrs-fullPaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities" xlink:to="label_COST_ifrs-fullProceedsFromBorrowingsClassifiedAsFinancingActivities_Short" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:to="label_COST_ifrs-fullRepaymentsOfBorrowingsClassifiedAsFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="label_COST_ifrs-fullCashFlowsFromUsedInFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:to="label_COST_ifrs-fullIncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashAndCashEquivalents" xlink:to="label_COST_ifrs-fullCashAndCashEquivalents_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_EffectOfExchangeRateChangesOnCashAndCashEquivalents" xlink:to="label_COST_ifrs-fullEffectOfExchangeRateChangesOnCashAndCashEquivalents_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <label xlink:label="label_IncomeStatementAbstract" id="IncomeStatementAbstract" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Profit or loss</label>
    <label xlink:label="label_COST_ifrs-fullRevenue_Standard" id="COST_ifrs-fullRevenue_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Group revenue</label>
    <label xlink:label="label_COST_ifrs-fullGrossProfit_Standard" id="COST_ifrs-fullGrossProfit_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Gross profit/(loss)</label>
    <label xlink:label="label_COST_ifrs-fullProfitLossFromOperatingActivities_Total" id="COST_ifrs-fullProfitLossFromOperatingActivities_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Group operating loss</label>
    <label xlink:label="label_COST_ifrs-fullShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod_Standard" id="COST_ifrs-fullShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Share of results of joint ventures and associates</label>
    <label xlink:label="label_COST_costLossFromOperations_Standard" id="COST_costLossFromOperations_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Loss from operations</label>
    <label xlink:label="label_COST_ifrs-fullFinanceCosts_NegatedLabel" id="COST_ifrs-fullFinanceCosts_NegatedLabel" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="en">Finance expense</label>
    <label xlink:label="label_COST_ifrs-fullFinanceIncomeCost_Standard" id="COST_ifrs-fullFinanceIncomeCost_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Net finance expense</label>
    <label xlink:label="label_COST_ifrs-fullProfitLossBeforeTax_Total" id="COST_ifrs-fullProfitLossBeforeTax_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Loss before tax</label>
    <label xlink:label="label_COST_ifrs-fullIncomeTaxExpenseContinuingOperations_Standard" id="COST_ifrs-fullIncomeTaxExpenseContinuingOperations_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Taxation</label>
    <label xlink:label="label_COST_ifrs-fullProfitLoss_Total" id="COST_ifrs-fullProfitLoss_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Loss for the year attributable to equity holders of the Parent</label>
    <label xlink:label="label_COST_ifrs-fullBasicEarningsLossPerShare_Total" id="COST_ifrs-fullBasicEarningsLossPerShare_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Basic</label>
    <label xlink:label="label_COST_ifrs-fullDilutedEarningsLossPerShare_Total" id="COST_ifrs-fullDilutedEarningsLossPerShare_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Diluted</label>
    <label xlink:label="label_StatementOfComprehensiveIncomeAbstract" id="StatementOfComprehensiveIncomeAbstract" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Statement of comprehensive income</label>
    <label xlink:label="label_COST_ifrs-fullGainsLossesOnExchangeDifferencesOnTranslationBeforeTax_Standard" id="COST_ifrs-fullGainsLossesOnExchangeDifferencesOnTranslationBeforeTax_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Exchange differences on translation of foreign operations</label>
    <label xlink:label="label_COST_ifrs-fullReclassificationAdjustmentsOnExchangeDifferencesOnTranslationBeforeTax_NegatedLabel" id="COST_ifrs-fullReclassificationAdjustmentsOnExchangeDifferencesOnTranslationBeforeTax_NegatedLabel" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="en">Exchange differences on translation transferred to the income statement</label>
    <label xlink:label="label_COST_ifrs-fullOtherComprehensiveIncomeBeforeTaxHedgesOfNetInvestmentsInForeignOperations_Total" id="COST_ifrs-fullOtherComprehensiveIncomeBeforeTaxHedgesOfNetInvestmentsInForeignOperations_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Effective portion of changes in fair value during year</label>
    <label xlink:label="label_COST_ifrs-fullReclassificationAdjustmentsOnHedgesOfNetInvestmentsInForeignOperationsBeforeTax_NegatedLabel" id="COST_ifrs-fullReclassificationAdjustmentsOnHedgesOfNetInvestmentsInForeignOperationsBeforeTax_NegatedLabel" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="en">Net changes in fair value transferred to the income statement</label>
    <label xlink:label="label_COST_ifrs-fullGainsLossesOnCashFlowHedgesBeforeTax_Standard" id="COST_ifrs-fullGainsLossesOnCashFlowHedgesBeforeTax_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Effective portion of changes in fair value during year</label>
    <label xlink:label="label_COST_ifrs-fullReclassificationAdjustmentsOnCashFlowHedgesBeforeTax_NegatedLabel" id="COST_ifrs-fullReclassificationAdjustmentsOnCashFlowHedgesBeforeTax_NegatedLabel" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="en">Net changes in fair value transferred to the income statement</label>
    <label xlink:label="label_COST_ifrs-fullOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax_Standard" id="COST_ifrs-fullOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLossNetOfTax_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Total items that may be reclassified subsequently to profit or loss</label>
    <label xlink:label="label_COST_ifrs-fullOtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans_Standard" id="COST_ifrs-fullOtherComprehensiveIncomeBeforeTaxGainsLossesOnRemeasurementsOfDefinedBenefitPlans_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Remeasurement of retirement benefit asset/(obligations)</label>
    <label xlink:label="label_COST_ifrs-fullIncomeTaxRelatingToRemeasurementsOfDefinedBenefitPlansOfOtherComprehensiveIncome_NegatedLabel" id="COST_ifrs-fullIncomeTaxRelatingToRemeasurementsOfDefinedBenefitPlansOfOtherComprehensiveIncome_NegatedLabel" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="en">Tax recognised on remeasurement of retirement benefit asset/(obligations)</label>
    <label xlink:label="label_COST_ifrs-fullOtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax_Standard" id="COST_ifrs-fullOtherComprehensiveIncomeThatWillNotBeReclassifiedToProfitOrLossNetOfTax_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Total items that will not be reclassified to profit or loss</label>
    <label xlink:label="label_COST_ifrs-fullOtherComprehensiveIncome_Standard" id="COST_ifrs-fullOtherComprehensiveIncome_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Other comprehensive income/(expense) for the year</label>
    <label xlink:label="label_COST_ifrs-fullComprehensiveIncome_Total" id="COST_ifrs-fullComprehensiveIncome_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">attributable to equity holders of the Parent</label>
    <label xlink:label="label_StatementOfFinancialPositionAbstract" id="StatementOfFinancialPositionAbstract" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Statement of financial position</label>
    <label xlink:label="label_COST_ifrs-fullIntangibleAssetsAndGoodwill_Standard" id="COST_ifrs-fullIntangibleAssetsAndGoodwill_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Intangible assets</label>
    <label xlink:label="label_COST_ifrs-fullInvestmentAccountedForUsingEquityMethod_Standard" id="COST_ifrs-fullInvestmentAccountedForUsingEquityMethod_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Equity accounted investments</label>
    <label xlink:label="label_COST_ifrs-fullRecognisedAssetsDefinedBenefitPlan_Standard" id="COST_ifrs-fullRecognisedAssetsDefinedBenefitPlan_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Retirement benefit asset</label>
    <label xlink:label="label_COST_ifrs-fullNoncurrentReceivables_Standard" id="COST_ifrs-fullNoncurrentReceivables_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Trade and other receivables</label>
    <label xlink:label="label_COST_ifrs-fullDeferredTaxAssets_Standard" id="COST_ifrs-fullDeferredTaxAssets_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Deferred tax</label>
    <label xlink:label="label_COST_ifrs-fullTradeAndOtherCurrentReceivables_Standard" id="COST_ifrs-fullTradeAndOtherCurrentReceivables_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Trade and other receivables</label>
    <label xlink:label="label_COST_ifrs-fullCurrentTaxAssetsCurrent_Standard" id="COST_ifrs-fullCurrentTaxAssetsCurrent_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Taxation</label>
    <label xlink:label="label_COST_ifrs-fullNoncurrentRecognisedLiabilitiesDefinedBenefitPlan_Standard" id="COST_ifrs-fullNoncurrentRecognisedLiabilitiesDefinedBenefitPlan_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Retirement benefit obligations</label>
    <label xlink:label="label_COST_ifrs-fullNoncurrentPayables_Standard" id="COST_ifrs-fullNoncurrentPayables_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Other payables</label>
    <label xlink:label="label_COST_ifrs-fullLongtermBorrowings_Total" id="COST_ifrs-fullLongtermBorrowings_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Interest-bearing loans and borrowings</label>
    <label xlink:label="label_COST_ifrs-fullNoncurrentLeaseLiabilities_Standard" id="COST_ifrs-fullNoncurrentLeaseLiabilities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Lease liabilities</label>
    <label xlink:label="label_COST_ifrs-fullNoncurrentLiabilities_Standard" id="COST_ifrs-fullNoncurrentLiabilities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Total non-current liabilities</label>
    <label xlink:label="label_COST_ifrs-fullTradeAndOtherCurrentPayables_Standard" id="COST_ifrs-fullTradeAndOtherCurrentPayables_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Trade and other payables</label>
    <label xlink:label="label_COST_ifrs-fullCurrentPortionOfLongtermBorrowings_Standard" id="COST_ifrs-fullCurrentPortionOfLongtermBorrowings_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Interest-bearing loans and borrowings</label>
    <label xlink:label="label_COST_ifrs-fullCurrentLeaseLiabilities_Standard" id="COST_ifrs-fullCurrentLeaseLiabilities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Lease liabilities</label>
    <label xlink:label="label_COST_ifrs-fullCurrentProvisions_Total" id="COST_ifrs-fullCurrentProvisions_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Provisions for other liabilities and charges</label>
    <label xlink:label="label_COST_ifrs-fullCurrentLiabilities_Standard" id="COST_ifrs-fullCurrentLiabilities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Total current liabilities</label>
    <label xlink:label="label_COST_ifrs-fullLiabilities_Standard" id="COST_ifrs-fullLiabilities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Total liabilities</label>
    <label xlink:label="label_COST_ifrs-fullNetAssetsLiabilities_Standard" id="COST_ifrs-fullNetAssetsLiabilities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Net assets</label>
    <label xlink:label="label_COST_ifrs-fullIssuedCapital_Standard" id="COST_ifrs-fullIssuedCapital_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Share capital</label>
    <label xlink:label="label_COST_ifrs-fullReserveOfExchangeDifferencesOnTranslation_Standard" id="COST_ifrs-fullReserveOfExchangeDifferencesOnTranslation_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Translation reserve</label>
    <label xlink:label="label_COST_ifrs-fullReserveOfCashFlowHedges_Standard" id="COST_ifrs-fullReserveOfCashFlowHedges_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Hedging reserve</label>
    <label xlink:label="label_COST_ifrs-fullEquityAttributableToOwnersOfParent_Total" id="COST_ifrs-fullEquityAttributableToOwnersOfParent_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">Total equity</label>
    <label xlink:label="label_StatementOfChangesInEquityAbstract" id="StatementOfChangesInEquityAbstract" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Statement of changes in equity</label>
    <label xlink:label="label_COST_ifrs-fullEquity_Total" id="COST_ifrs-fullEquity_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="en">At 1 January 2020</label>
    <label xlink:label="label_COST_ifrs-fullProfitLoss_Standard" id="COST_ifrs-fullProfitLoss_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Loss for the year</label>
    <label xlink:label="label_COST_ifrs-fullPurchaseOfTreasuryShares_Standard" id="COST_ifrs-fullPurchaseOfTreasuryShares_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">schemes</label>
    <label xlink:label="label_COST_ifrs-fullIncreaseDecreaseThroughSharebasedPaymentTransactions_Standard" id="COST_ifrs-fullIncreaseDecreaseThroughSharebasedPaymentTransactions_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Equity-settled share-based payments</label>
    <label xlink:label="label_COST_ifrs-fullIssueOfEquity_Standard" id="COST_ifrs-fullIssueOfEquity_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Capital raise (note 22)</label>
    <label xlink:label="label_COST_ifrs-fullIncreaseDecreaseThroughTransfersAndOtherChangesEquity_Standard" id="COST_ifrs-fullIncreaseDecreaseThroughTransfersAndOtherChangesEquity_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Transfer</label>
    <label xlink:label="label_COST_ifrs-fullEquity_Standard" id="COST_ifrs-fullEquity_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">At 31 December 2020</label>
    <label xlink:label="label_StatementOfCashFlowsAbstract" id="StatementOfCashFlowsAbstract" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Statement of cash flows</label>
    <label xlink:label="label_COST_ifrs-fullAdjustmentsForUndistributedProfitsOfInvestmentsAccountedForUsingEquityMethod_Standard" id="COST_ifrs-fullAdjustmentsForUndistributedProfitsOfInvestmentsAccountedForUsingEquityMethod_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Share of results of joint ventures and associates</label>
    <label xlink:label="label_COST_ifrs-fullAdjustmentsForFinanceIncome_Standard" id="COST_ifrs-fullAdjustmentsForFinanceIncome_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Finance income</label>
    <label xlink:label="label_COST_ifrs-fullAdjustmentsForFinanceCosts_Standard" id="COST_ifrs-fullAdjustmentsForFinanceCosts_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Finance expense</label>
    <label xlink:label="label_COST_ifrs-fullAdjustmentsForIncomeTaxExpense_Standard" id="COST_ifrs-fullAdjustmentsForIncomeTaxExpense_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Taxation</label>
    <label xlink:label="label_COST_ifrs-fullAdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossPropertyPlantAndEquipment_Standard" id="COST_ifrs-fullAdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossPropertyPlantAndEquipment_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Impairment of Alcaidesa marina</label>
    <label xlink:label="label_COST_ifrs-fullAdjustmentsForDecreaseIncreaseInOtherCurrentAssets_Standard" id="COST_ifrs-fullAdjustmentsForDecreaseIncreaseInOtherCurrentAssets_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Impairment of other investment</label>
    <label xlink:label="label_COST_ifrs-fullAdjustmentsForLossesGainsOnDisposalOfNoncurrentAssets_Standard" id="COST_ifrs-fullAdjustmentsForLossesGainsOnDisposalOfNoncurrentAssets_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Profit on sales of interests in joint ventures and associates</label>
    <label xlink:label="label_COST_ifrs-fullAdjustmentsForGainLossOnDisposalOfInvestmentsInSubsidiariesJointVenturesAndAssociates_Standard" id="COST_ifrs-fullAdjustmentsForGainLossOnDisposalOfInvestmentsInSubsidiariesJointVenturesAndAssociates_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Profit on disposal of subsidiary undertakings</label>
    <label xlink:label="label_COST_ifrs-fullAdjustmentsForIncreaseDecreaseInEmployeeBenefitLiabilities_Standard" id="COST_ifrs-fullAdjustmentsForIncreaseDecreaseInEmployeeBenefitLiabilities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Pension GMP equalisation charge</label>
    <label xlink:label="label_COST_ifrs-fullAdjustmentsForDepreciationExpense_Standard" id="COST_ifrs-fullAdjustmentsForDepreciationExpense_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Depreciation of property, plant and equipment</label>
    <label xlink:label="label_COST_ifrs-fullAdjustmentsForAmortisationExpense_Standard" id="COST_ifrs-fullAdjustmentsForAmortisationExpense_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Amortisation and impairment of intangible assets</label>
    <label xlink:label="label_COST_ifrs-fullPaymentsToAcquireOrRedeemEntitysShares_NegatedLabel" id="COST_ifrs-fullPaymentsToAcquireOrRedeemEntitysShares_NegatedLabel" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xml:lang="en">Shares purchased to satisfy employee share schemes</label>
    <label xlink:label="label_COST_ifrs-fullAdjustmentsForSharebasedPayments_Standard" id="COST_ifrs-fullAdjustmentsForSharebasedPayments_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Share-based payments expense</label>
    <label xlink:label="label_COST_ifrs-fullCashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital_Standard" id="COST_ifrs-fullCashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Cash from/(used by) operations before changes in working capital and provisions</label>
    <label xlink:label="label_COST_ifrs-fullAdjustmentsForDecreaseIncreaseInInventories_Standard" id="COST_ifrs-fullAdjustmentsForDecreaseIncreaseInInventories_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Decrease in inventories</label>
    <label xlink:label="label_COST_ifrs-fullAdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables_Standard" id="COST_ifrs-fullAdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Decrease in receivables</label>
    <label xlink:label="label_COST_ifrs-fullAdjustmentsForIncreaseDecreaseInTradeAndOtherPayables_Standard" id="COST_ifrs-fullAdjustmentsForIncreaseDecreaseInTradeAndOtherPayables_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Decrease in payables</label>
    <label xlink:label="label_COST_ifrs-fullAdjustmentsForProvisions_Standard" id="COST_ifrs-fullAdjustmentsForProvisions_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Movement in provisions and employee benefits</label>
    <label xlink:label="label_COST_ifrs-fullCashFlowsFromUsedInOperations_Standard" id="COST_ifrs-fullCashFlowsFromUsedInOperations_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Cash from/(used by) operations</label>
    <label xlink:label="label_COST_ifrs-fullInterestReceivedClassifiedAsInvestingActivities_Standard" id="COST_ifrs-fullInterestReceivedClassifiedAsInvestingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Interest received</label>
    <label xlink:label="label_COST_ifrs-fullInterestPaidClassifiedAsOperatingActivities_Standard" id="COST_ifrs-fullInterestPaidClassifiedAsOperatingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Interest paid</label>
    <label xlink:label="label_COST_ifrs-fullIncomeTaxesPaidRefundClassifiedAsOperatingActivities_Standard" id="COST_ifrs-fullIncomeTaxesPaidRefundClassifiedAsOperatingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Taxation received</label>
    <label xlink:label="label_COST_ifrs-fullCashFlowsFromUsedInOperatingActivities_Standard" id="COST_ifrs-fullCashFlowsFromUsedInOperatingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Net cash from/(used by) operating activities</label>
    <label xlink:label="label_COST_ifrs-fullDividendsReceivedFromAssociatesClassifiedAsInvestingActivities_Standard" id="COST_ifrs-fullDividendsReceivedFromAssociatesClassifiedAsInvestingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Dividends received from joint ventures and associates</label>
    <label xlink:label="label_COST_ifrs-fullPurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities_Standard" id="COST_ifrs-fullPurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Additions to property, plant and equipment</label>
    <label xlink:label="label_COST_ifrs-fullPurchaseOfIntangibleAssetsClassifiedAsInvestingActivities_Standard" id="COST_ifrs-fullPurchaseOfIntangibleAssetsClassifiedAsInvestingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Additions to intangible assets</label>
    <label xlink:label="label_COST_ifrs-fullProceedsFromSalesOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities_Short" id="COST_ifrs-fullProceedsFromSalesOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities_Short" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:type="resource" xml:lang="en">Proceeds of disposals of property, plant and equipment and intangible assets</label>
    <label xlink:label="label_COST_ifrs-fullProceedsFromSalesOfInvestmentsAccountedForUsingEquityMethod_Standard" id="COST_ifrs-fullProceedsFromSalesOfInvestmentsAccountedForUsingEquityMethod_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Proceeds of sales of interests in joint ventures and associates</label>
    <label xlink:label="label_COST_ifrs-fullProceedsFromSalesOfInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethod_Standard" id="COST_ifrs-fullProceedsFromSalesOfInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethod_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Proceeds of sales of subsidiary undertakings</label>
    <label xlink:label="label_COST_ifrs-fullCashFlowsFromUsedInInvestingActivities_Standard" id="COST_ifrs-fullCashFlowsFromUsedInInvestingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Net cash (used by)/from investing activities</label>
    <label xlink:label="label_COST_ifrs-fullProceedsFromIssuingShares_Standard" id="COST_ifrs-fullProceedsFromIssuingShares_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Issue of ordinary share capital</label>
    <label xlink:label="label_COST_ifrs-fullPaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities_Standard" id="COST_ifrs-fullPaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Repayments of lease liabilities</label>
    <label xlink:label="label_COST_ifrs-fullProceedsFromBorrowingsClassifiedAsFinancingActivities_Short" id="COST_ifrs-fullProceedsFromBorrowingsClassifiedAsFinancingActivities_Short" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:type="resource" xml:lang="en">Drawdown of loans</label>
    <label xlink:label="label_COST_ifrs-fullRepaymentsOfBorrowingsClassifiedAsFinancingActivities_Standard" id="COST_ifrs-fullRepaymentsOfBorrowingsClassifiedAsFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Repayment of loans</label>
    <label xlink:label="label_COST_ifrs-fullCashFlowsFromUsedInFinancingActivities_Standard" id="COST_ifrs-fullCashFlowsFromUsedInFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Net cash (used by)/from financing activities</label>
    <label xlink:label="label_COST_ifrs-fullIncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_Standard" id="COST_ifrs-fullIncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Net increase/(decrease) in cash and cash equivalents</label>
    <label xlink:label="label_COST_ifrs-fullCashAndCashEquivalents_Standard" id="COST_ifrs-fullCashAndCashEquivalents_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Cash and cash equivalents at beginning of the year</label>
    <label xlink:label="label_COST_ifrs-fullEffectOfExchangeRateChangesOnCashAndCashEquivalents_Standard" id="COST_ifrs-fullEffectOfExchangeRateChangesOnCashAndCashEquivalents_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Effect of foreign exchange rate changes</label>
  </labelLink>
</linkbase>